## ros-one-collada-urdf-jsk-patch 2.1.31-19jammy.20251023.0822

=== debian/changelog ===
ros-one-collada-urdf-jsk-patch (2.1.31-19jammy.20251023.0822) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 23 Oct 2025 08:22:12 +0000

ros-one-collada-urdf-jsk-patch (2.1.31-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 13 May 2025 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.30-0jammy) jammy; urgency=high

  * [ros-o] collada_urdf_jsk_patch: skip cmake/pkg config generation (#517 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/517>)
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.29-0jammy) jammy; urgency=high

  * Support ros-o / Ubuntu 22.04 (#512 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/512>)
    
      * [collada_urdf_jsk_patch] [ros-o] add CATKIN_IGNORE only when ROS-O, use STREQUAL to compare ROS_DISTRO in cmake
      * [collada_urdf_jsk_patch] [ros-o] ignore it because no longer needed
    
  * Contributors: Yoshiki Obinata

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sun, 05 Jan 2025 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.28-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 24 Jul 2023 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.27-0jammy) jammy; urgency=high

  * fix package.xml/CMakeLists.txt to supress catkin_lint errors (#479 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/479>)
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 24 Jun 2023 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.26-0jammy) jammy; urgency=high

  * add LICENSE files (#476 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/476>)
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 14 Jun 2023 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.25-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 08 Jun 2023 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.24-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 26 Jul 2021 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.23-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 21 Jul 2021 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.22-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 10 Jun 2021 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.21-0jammy) jammy; urgency=high

  * add missing packages, closes https://github.com/ros/rosdistro/pull/26216 (#211 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/211>)
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 19 Aug 2020 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.20-0jammy) jammy; urgency=high

  * apply fix_issue_18 only for collada_urdf 1.12.12 (#209 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/209>)
    
      * add https://github.com/Naoki-Hiraoka/collada_urdf/commit/c37592e86af2d949479e3db9e271e34ff8eff189
      * use collada_urdf 1.12.12 for melodic and later
      * fix bug introduced in 0c200c7ce26cdf3c16f36cf5dd68d05ee06775e2
    
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Fri, 07 Aug 2020 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.19-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 21 Jul 2020 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.18-0jammy) jammy; urgency=high

  * Fix for noetic (#200 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/200>)
    
      * collada_urdf_jsk_patch : use download_unpack_build instead of git_checkout
      * remove collada_urdf from find_packaeg(catkin) unitl assimp_devel v5.0.1 released
      * use package.xml format 3 for package contains python depends
    
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 20 Jul 2020 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.17-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.16-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.15-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 12 Dec 2019 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.14-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 21 Nov 2019 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.13-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 10 Jul 2019 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.12-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 25 May 2019 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.11-0jammy) jammy; urgency=high

  * collada_urdf_jsk_patch: std=gnu++11 need for kinetic and later (#154 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/154>)
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 29 Aug 2018 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.10-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 25 Apr 2018 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.9-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 24 Apr 2018 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.8-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 17 Apr 2018 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.7-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 09 Apr 2018 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.6-0jammy) jammy; urgency=high





=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-collada-urdf-jsk-patch//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-collada-urdf-jsk-patch 2.1.31-19jammy.20251207.2121

=== debian/changelog ===
ros-one-collada-urdf-jsk-patch (2.1.31-19jammy.20251207.2121) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sun, 07 Dec 2025 21:21:37 +0000

## ros-one-collada-urdf-jsk-patch 2.1.31-19jammy.20260221.0112

=== debian/changelog ===
ros-one-collada-urdf-jsk-patch (2.1.31-19jammy.20260221.0112) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 21 Feb 2026 01:12:04 +0000

## ros-one-collada-urdf-jsk-patch 2.1.31-19noble.20251023.0826

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(collada_urdf_jsk_patch)

if(("$ENV{ROS_DISTRO}" STREQUAL "groovy") OR ("$ENV{ROS_DISTRO}" STREQUAL "hydro"))
  set(SOURCE_DISTRO hydro-devel)
  set(GIT_REPO robot_model)
elseif (("$ENV{ROS_DISTRO}" STREQUAL "indigo") OR ("$ENV{ROS_DISTRO}" STREQUAL "jade") OR ("$ENV{ROS_DISTRO}" STREQUAL "kinetic"))
  set(SOURCE_DISTRO bd4fc369d56eaa0c31d8cb17677e00b9d9685de6) # 1.11.13, before strip indigo
  set(GIT_REPO robot_model)
elseif (("$ENV{ROS_DISTRO}" STREQUAL "melodic") OR ("$ENV{ROS_DISTRO}" STREQUAL "noetic"))
  set(SOURCE_DISTRO 923c5d33bd245e82134e8ae02e4c9d379e80eb27) # 1.12.12
  set(GIT_REPO collada_urdf)
else()
  find_package(catkin REQUIRED)
  catkin_package(CATKIN_DEPENDS
    SKIP_CMAKE_CONFIG_GENERATION
    SKIP_PKG_CONFIG_GENERATION)
  file(TOUCH ${CMAKE_CURRENT_BINARY_DIR}/CATKIN_IGNORE)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/CATKIN_IGNORE  #catkin_lint: ignore_once missing_file
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
  return()
endif()
if ("$ENV{ROS_DISTRO}" STREQUAL "kinetic" OR "$ENV{ROS_DISTRO}" STRGREATER "kinetic")
    set(CXXFLAGS CXXFLAGS=-std=gnu++11)
endif()

# find_package(catkin REQUIRED COMPONENTS collada_urdf)
# v5.0.0 have invalid inclduedir
# /usr/lib/x86_64-linux-gnu/pkgconfig/assimp.pc
#   includedir=/usr/../include/include
find_package(catkin REQUIRED)

catkin_package(CATKIN_DEPENDS collada_urdf)


#catkin_lint: ignore immutable_var
set(ENV{PKG_CONFIG_PATH} ${CATKIN_DEVEL_PREFIX}/lib/pkgconfig:$ENV{PKG_CONFIG_PATH})
add_custom_target(urdf_to_collada ALL DEPENDS ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_BIN_DESTINATION}/urdf_to_collada)
add_custom_command(OUTPUT ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_BIN_DESTINATION}/urdf_to_collada
  DEPENDS Makefile
  COMMAND cmake -E chdir ${CMAKE_CURRENT_BINARY_DIR} make -f ${PROJECT_SOURCE_DIR}/Makefile PKG_CONFIG_PATH=${CATKIN_DEVEL_PREFIX}/lib/pkgconfig:$ENV{PKG_CONFIG_PATH} PATCH_DIR=${PROJECT_SOURCE_DIR} SOURCE_DISTRO=${SOURCE_DISTRO} GIT_REPO=${GIT_REPO} ${CXXFLAGS}
  COMMAND cmake -E make_directory ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_BIN_DESTINATION}
  COMMAND cmake -E copy ${CMAKE_CURRENT_BINARY_DIR}/urdf_to_collada ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_BIN_DESTINATION}
  COMMAND cmake -E copy ${CMAKE_CURRENT_BINARY_DIR}/collada_to_urdf ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_BIN_DESTINATION})

add_dependencies(urdf_to_collada libassimp_devel)

install(PROGRAMS ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_BIN_DESTINATION}/urdf_to_collada ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_BIN_DESTINATION}/collada_to_urdf
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== Makefile ===
#
all: urdf_to_collada

GIT_DIR = build/robot_model/src
GIT_URL = git://github.com/ros/robot_model.git
GIT_REVISION = ${SOURCE_DISTRO}

TARBALL     = build/robot_model.zip
TARBALL_URL = https://github.com/ros/${GIT_REPO}/archive/${SOURCE_DISTRO}.zip
SOURCE_DIR  = build/robot_model/src
INITIAL_DIR  = build/${GIT_REPO}-${SOURCE_DISTRO}
MD5SUM_FILE = ${PATCH_DIR}/robot_model.$(shell echo ${SOURCE_DISTRO} | head -c 4).md5sum
UNPACK_CMD  = unzip

GIT_PATCH = ${PATCH_DIR}/use_assimp_devel.patch
ifeq ("${SOURCE_DISTRO}", "923c5d33bd245e82134e8ae02e4c9d379e80eb27") # 1.12.12
GIT_PATCH += ${PATCH_DIR}/fix_issue_18.patch
endif
BUILD_BIN_DIR  = build/robot_model/devel/lib/collada_urdf
#include $(shell rospack find mk)/git_checkout.mk
include $(shell rospack find mk)/download_unpack_build.mk

# disable_ssl:
# 	git config --global http.sslVerify false

catkin_ws:
	mkdir -p build/robot_model/src

$(SOURCE_DIR)/patched:  $(SOURCE_DIR)/unpacked # download_unpack_build use -p0, which did not work with our ${GIT_PATCH}
	$(foreach PATCH, $(GIT_PATCH), patch -d $(SOURCE_DIR) -p1 < $(PATCH) && ) echo patched
	touch patched

urdf_to_collada: catkin_ws $(SOURCE_DIR)/patched
	(cd build/robot_model; catkin init -w .; PKG_CONFIG_PATH=`rospack find assimp_devel`/lib/pkgconfig:${PKG_CONFIG_PATH} catkin build -v -i collada_urdf --force-cmake --no-status --no-notify)
	cp $(BUILD_BIN_DIR)/urdf_to_collada .
	cp $(BUILD_BIN_DIR)/collada_to_urdf .

clean:
	if [ -f build/robot_model/build ] ; then catkin clean -a; fi
	rm -fr build/robot_model/build
	rm -rf installed patched
	rm -f urdf_to_collada

wipe: clean
	rm -rf $(SRC_DIR)

=== debian/changelog ===
ros-one-collada-urdf-jsk-patch (2.1.31-19noble.20251023.0826) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 23 Oct 2025 08:26:06 +0000

ros-one-collada-urdf-jsk-patch (2.1.31-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 13 May 2025 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.30-0noble) noble; urgency=high

  * [ros-o] collada_urdf_jsk_patch: skip cmake/pkg config generation (#517 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/517>)
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.29-0noble) noble; urgency=high

  * Support ros-o / Ubuntu 22.04 (#512 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/512>)
    
      * [collada_urdf_jsk_patch] [ros-o] add CATKIN_IGNORE only when ROS-O, use STREQUAL to compare ROS_DISTRO in cmake
      * [collada_urdf_jsk_patch] [ros-o] ignore it because no longer needed
    
  * Contributors: Yoshiki Obinata

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sun, 05 Jan 2025 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.28-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 24 Jul 2023 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.27-0noble) noble; urgency=high

  * fix package.xml/CMakeLists.txt to supress catkin_lint errors (#479 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/479>)
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 24 Jun 2023 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.26-0noble) noble; urgency=high

  * add LICENSE files (#476 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/476>)
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 14 Jun 2023 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.25-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 08 Jun 2023 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.24-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 26 Jul 2021 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.23-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 21 Jul 2021 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.22-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 10 Jun 2021 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.21-0noble) noble; urgency=high

  * add missing packages, closes https://github.com/ros/rosdistro/pull/26216 (#211 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/211>)
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 19 Aug 2020 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.20-0noble) noble; urgency=high

  * apply fix_issue_18 only for collada_urdf 1.12.12 (#209 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/209>)
    
      * add https://github.com/Naoki-Hiraoka/collada_urdf/commit/c37592e86af2d949479e3db9e271e34ff8eff189
      * use collada_urdf 1.12.12 for melodic and later
      * fix bug introduced in 0c200c7ce26cdf3c16f36cf5dd68d05ee06775e2
    
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Fri, 07 Aug 2020 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.19-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 21 Jul 2020 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.18-0noble) noble; urgency=high

  * Fix for noetic (#200 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/200>)
    
      * collada_urdf_jsk_patch : use download_unpack_build instead of git_checkout
      * remove collada_urdf from find_packaeg(catkin) unitl assimp_devel v5.0.1 released
      * use package.xml format 3 for package contains python depends
    
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 20 Jul 2020 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.17-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.16-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.15-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 12 Dec 2019 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.14-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 21 Nov 2019 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.13-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 10 Jul 2019 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.12-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 25 May 2019 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.11-0noble) noble; urgency=high

  * collada_urdf_jsk_patch: std=gnu++11 need for kinetic and later (#154 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/154>)
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 29 Aug 2018 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.10-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 25 Apr 2018 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.9-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 24 Apr 2018 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.8-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 17 Apr 2018 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.7-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 09 Apr 2018 00:00:00 -0000

ros-one-collada-urdf-jsk-patch (2.1.6-0noble) noble; urgency=high





=== debian/control ===
Source: ros-one-collada-urdf-jsk-patch
Section: misc
Priority: optional
Maintainer: Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), git, libcollada-dom2.4-dp-dev, libgts-dev, python3-catkin-tools, ros-one-angles, ros-one-assimp-devel, ros-one-catkin, ros-one-class-loader, ros-one-cmake-modules, ros-one-collada-parser, ros-one-collada-urdf, ros-one-geometric-shapes, ros-one-kdl-parser, ros-one-mk, ros-one-pluginlib, ros-one-resource-retriever, ros-one-roscpp, ros-one-rostest, ros-one-tf, unzip
Homepage: http://ros.org/wiki/collada_urdf_jsk_patch
Standards-Version: 3.9.2

Package: ros-one-collada-urdf-jsk-patch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcollada-dom2.4-dp-dev, libgts-dev, python3-catkin-tools, ros-one-angles, ros-one-assimp-devel, ros-one-class-loader, ros-one-collada-parser, ros-one-collada-urdf, ros-one-geometric-shapes, ros-one-kdl-parser, ros-one-pluginlib, ros-one-resource-retriever, ros-one-roscpp, ros-one-tf, ros-one-urdf
Description: unaccepted patch for collada_urdf

## ros-one-collada-urdf-jsk-patch 2.1.31-19noble.20251208.0822

=== debian/changelog ===
ros-one-collada-urdf-jsk-patch (2.1.31-19noble.20251208.0822) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 08 Dec 2025 08:22:29 +0000

## ros-one-collada-urdf-jsk-patch 2.1.31-19noble.20260221.0148

=== debian/changelog ===
ros-one-collada-urdf-jsk-patch (2.1.31-19noble.20260221.0148) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 21 Feb 2026 01:48:14 +0000
